[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| NonlinearLSQOptions Class Reference Optimization and Regression |

Pass options to nonlinearLeastSquares(). More...

`#include <vigra/regression.hxx>`

## Public Member Functions

NonlinearLSQOptions & | dampingParamters (double lambda, double v)
| Set damping parameters for Levenberg-Marquardt algorithm. More...
NonlinearLSQOptions & | maxIterations (int iter)
| Set maximum number of iterations. More...
| NonlinearLSQOptions ()
| Initialize options with default values.
NonlinearLSQOptions & | tolerance (double eps)
| Set minimum relative improvement in residual. More...

## Detailed Description

Pass options to nonlinearLeastSquares().

#include <vigra/regression.hxx> Namespace: vigra

## Member Function Documentation

## ◆ tolerance()

NonlinearLSQOptions& tolerance | ( | double | eps | ) |

Set minimum relative improvement in residual.

The algorithm stops when the relative improvement in residuals between consecutive iterations is less than this value.

Default: 0 (i.e. choose tolerance automatically, will be 10*epsilon of the numeric type)

## ◆ maxIterations()

NonlinearLSQOptions& maxIterations | ( | int | iter | ) |

Set maximum number of iterations.

Default: 50

## ◆ dampingParamters()

NonlinearLSQOptions& dampingParamters | ( | double | lambda,
|  | double | v
| ) |  |

Set damping parameters for Levenberg-Marquardt algorithm.

lambda determines by how much the diagonal is emphasized, and v is the factor by which lambda will be increased if more damping is needed for convergence (see Wikipedia for more explanations).

Default: lambda = 0.1, v = 1.4

The documentation for this class was generated from the following file:

- vigra/regression.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.11.0